Substy Developers
Campaigns

Unsend mass message

Remove a previously sent bulk message campaign from recipient conversations when the platform permits it.

POST/v1/agencies/{agencyId}/mass-messages/{massMessageId}/recall

Remove a previously sent bulk message campaign from recipient conversations when the platform permits it.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
massMessageId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/mass-messages/string/recall" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "creatorId": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "status": "PENDING",    "price": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "revertedByEmployeeId": null,    "revertedAt": null,    "mediaIds": [      "string"    ],    "scheduledAt": null,    "lastSyncedAt": null,    "createdByEmployeeId": "string",    "text": "string",    "previewIds": [      "string"    ],    "includedListIds": [      "string"    ],    "excludedListIds": [      "string"    ],    "userIds": [      "string"    ],    "includeOnlineFans": true,    "autoUnsendAfterSeconds": null,    "platformId": null,    "recipientCount": 0,    "sentCount": 0,    "canUnsend": true,    "unsendDeadline": null  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}